from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XClassifiedObject(XInterface, Protocol):
    def getClassID(self) -> list[int]: ...
    def getClassName(self) -> str: ...
